openvpn3-service-sessionmgr(8)

Name
openvpn3-service-sessionmgr - OpenVPN 3 Linux Session Manager Service

SYNOPSIS
openvpn3-service-sessionmgr [OPTIONS]
openvpn3-service-sessionmgr -h | --help

DESCRIPTION

The openvpn3-service-sessionmgr is a backend service for OpenVPN 3 Linux, responsible for managing running OpenVPN sessions. Once a VPN session has been started, either via openvpn3 session-start or openvpn2, it will run in the background as a D-Bus service as long as it has at least one active VPN session running.

Only one session manager process can run on the system.

VPN sessions are managed via the openvpn3 session-manage and openvpn3 session-acl commands and new VPN sessions are started using the openvpn3 session-start command.

This service is normally started automatically when needed, via the net.openvpn.v3.sessionmgr.service auto-start configuration by the dbus-daemon(1), but can also be started manually on the command line. This process should run as the _openvpn user and will automatically switch to this user account if it has the needed privileges to do so. Beware that changing this to another user account also requires updating the D-Bus policy as well.

OPTIONS

    -h, --help
        Print usage and help details to the terminal

    --version
        Prints the version of the program and exists

    --log-level LEVEL
        Sets the default log verbosity for log events generated by this service. The default is 3. Valid values are 0 to 6. Higher log levels results in more verbose logs and log level 6 will contain all debug log events.

    --log-file LOG_DESTINATION
        By default, logging will go via the openvpn3-service-log service. By providing this argument, logging will also be sent to LOG_DESTINATION, which can be either a filename or stdout: where the latter one sends log data to the console.

    --colour
        This will add colours to log events when logging to file or terminal. Log events will be coloured based on the log level of the event.

    --idle-exit MINUTES
        The openvpn3-service-sessionmgr service will exit automatically if it is being idle for MINUTES minutes. By being idle, it means no VPN sessions are running and managed by this service. This can be validated by running openvpn3 sessions-list. If this results in an empty list, no configuration profiles are being managed.

SEE ALSO

dbus-daemon(1) openvpn3(1) openvpn3-service-client(8) openvpn3-session-acl(1) openvpn3-session-manage(1) openvpn3-session-start(1) openvpn3-session-stats(1) openvpn3-sessions-list(1)